#!/bin/bash
#
# Generate docx document for the Robot test suite

cd /home/etsi/dev/robot/ 

echo "Using git branch $1"

mkdir -p /home/etsi/dev/robot/build
cd /home/etsi/dev/robot/build
rm -r -v *

if [[ $1 =~ ^(remotes\/){0,1}(origin\/){0,1}([0-9]{1}(\.[0-9]){2}){1}-dev$ || $1 =~ ^(remotes\/){0,1}(origin\/){0,1}([0-9]{1})(\.[0-9]){2,10}$ || $1 =~ ^(remotes\/){0,1}(origin\/){0,1}master$ || $1 =~ ^(remotes\/){0,1}(origin\/){0,1}Release-([0-9]{1})$ ]]; then

	echo "++++ Try to generate docs for branch $1"
	cd /home/etsi/dev/robot2doc/robot2doc

	python3 create_sols.py ../../robot 'local' ../../robot/build
	res2=$?
else res2=0
    echo "++++ Not generating docs for branch $1"
fi

exit $res && $res2
